none
Silverlight 5 RC runtime and LightSwitch compatibility issue RRS feed

  • Question

  • I installed Silverlight 5 RC on my Win7(64) machine running my VS2010Pro(SP1)/LightSwitch(v1) development environment.

    Everything was good. I could run LS app as normal and then I opened a screen containing a Modal Window Picker.
    This screen did not open and locked the application. IE said that localhost is not responding.

    Then I got this error screen below. Can anyone reproduce this?  
    This problem disappears if I replace Model Window Picker with Auto Complete Box.

     

     

     

     

    Monday, September 5, 2011 7:05 AM

Answers

  • Hey folks.

    We are aware of this issue with the SL5 RC test build that was released.  This should be addressed in the final release of SL5.  Thanks for reporting however!!!!

    Note - our Lightswitch 2011 developement environment only supports developing Lightswitch apps against the Silverlight 4  (SDK) release.  However the Lightswitch apps themselves should run without issues on a machine with the SL5 runtime. 

    -Robert Schoen

     

     

    Tuesday, September 20, 2011 3:44 PM

All replies

  • Hi, even better to report it on MS Connect? search for example here
    Petr Antoš
    Monday, September 5, 2011 2:41 PM
  • From my understanding the Lightswitch system is only supported on Silverlight 4, and installing the 5 engine has just broken those links. If you need lightswitch for day to day I would uninstall the 5 rc and go back to 4. If you need to play and test with the 5 RC I would use a virtual machine.
    http://www.virtualrealm.com.au - XNA Game Programming News and Resources from Downunder.
    Tuesday, September 6, 2011 1:46 AM
  • Hey folks.

    We are aware of this issue with the SL5 RC test build that was released.  This should be addressed in the final release of SL5.  Thanks for reporting however!!!!

    Note - our Lightswitch 2011 developement environment only supports developing Lightswitch apps against the Silverlight 4  (SDK) release.  However the Lightswitch apps themselves should run without issues on a machine with the SL5 runtime. 

    -Robert Schoen

     

     

    Tuesday, September 20, 2011 3:44 PM
  • So, if ... Lightswitch apps will run on SL5 engine... and Silverlight 5 runs on iPad  ... then Lightswitch apps will run on an iPad ... eventually, correct?
    Tuesday, October 4, 2011 2:54 PM
  • So, if ... Lightswitch apps will run on SL5 engine... and Silverlight 5 runs on iPad  ... then Lightswitch apps will run on an iPad ... eventually, correct?
    did I miss something, when did SL5 get on the iPad?
    Friday, October 7, 2011 5:29 PM
  • Clarify for me this please.

    If i use a Silverlight 5 control in a Lightswitch application will that be ok or i would have a problem?

     

    Wednesday, November 30, 2011 8:38 PM
  • Silverlight 5's out. The problem persists. Is there really no way of having multiple Silverlight SDKs installed at the same time? :(

    Should we then not install Silverlight 5 at all if we're using Lightswitch. Seems kinda deal-breaking to me.

    Please give us a Lightswitch update to work with SL5 ASAP. TIA

     

    Sunday, December 11, 2011 8:54 AM
  • I cannot reproduce the problem that the OP has specified after installing the Silverlight 5 Tools for Visual Studio 2010 SP1.

    If you are seeing a similar problem, please detail the repro steps.


    Justin Anderson, LightSwitch Development Team
    Sunday, December 11, 2011 9:32 AM
    Moderator